System.Web 2.0.0.0 System.Attribute

The class is applied to properties that contain ID references. is an example of a property that contains an ID reference. When this attribute is applied, designers can provide additional functionality during design time, such as listing IDs.

Defines an attribute applied to properties that contain ID references. This class cannot be inherited.

- Constructor

  When you call this constructor, the property is set to , which is its default value.

  Initializes a new instance of the class.

  2.0.0.0
- Constructor
  To be added.
  To be added.

  Initializes a new instance of the class using the specified type.

  2.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 2.0.0.0
- Method
  System.Int32 To be added. To be added. To be added. 2.0.0.0
- Property
  System.Type To be added. To be added.

  Gets the type of the controls allowed by the property to which the attribute is applied.

  2.0.0.0